/*===========================================================================*/
/*   (Tools/trace.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Tools/trace.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl__printzd2tracezd2zztools_tracez00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_EXPORTED_DECL obj_t BGl_startzd2tracezd2zztools_tracez00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2tracezd2portza2zd2zztools_tracez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static bool_t BGl_za2tracezd2modeza2zd2zztools_tracez00;
BGL_EXPORTED_DECL obj_t BGl_printzd2tracezd2zztools_tracez00(obj_t);
static obj_t BGl__tracezd2satisfyzf3z21zztools_tracez00(obj_t, obj_t, obj_t);
static obj_t BGl_za2tracezd2passza2zd2zztools_tracez00 = BUNSPEC;
static obj_t BGl__startzd2tracezd2zztools_tracez00(obj_t, obj_t, obj_t);
static obj_t BGl__stopzd2tracezd2zztools_tracez00(obj_t);
static obj_t BGl_cnstzd2initzd2zztools_tracez00();
static obj_t BGl_za2levelza2z00zztools_tracez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zztools_tracez00();
static obj_t BGl_requirezd2initializa7ationz75zztools_tracez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zztools_tracez00();
BGL_EXPORTED_DECL obj_t BGl_tracezd2satisfyzf3z21zztools_tracez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zztools_tracez00();
BGL_EXPORTED_DECL obj_t BGl_stopzd2tracezd2zztools_tracez00();
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_tracezd2satisfyzf3zd2envzf3zztools_tracez00, BgL_bgl__traceza7d2satisfyza7f3za721za7za7tools_traceza7001079z00, BGl__tracezd2satisfyzf3z21zztools_tracez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_printzd2tracezd2envz00zztools_tracez00, BgL_bgl__printza7d2traceza7d2za7za7tools_traceza7001080za7, va_generic_entry, BGl__printzd2tracezd2zztools_tracez00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_startzd2tracezd2envz00zztools_tracez00, BgL_bgl__startza7d2traceza7d2za7za7tools_traceza7001081za7, BGl__startzd2tracezd2zztools_tracez00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stopzd2tracezd2envz00zztools_tracez00, BgL_bgl__stopza7d2traceza7d2za7za7tools_traceza7001082za7, BGl__stopzd2tracezd2zztools_tracez00, 0L, 0 );
DEFINE_STRING( BGl_string1055z00zztools_tracez00, BgL_bgl_string1055za700za7za7tools_traceza7001083z00, "none ", 5 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long BgL_checksumz00_50, char * BgL_fromz00_51)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztools_tracez00))
{ 
BGl_requirezd2initializa7ationz75zztools_tracez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztools_tracez00(); 
BGl_cnstzd2initzd2zztools_tracez00(); 
BGl_importedzd2moduleszd2initz00zztools_tracez00(); 
BGl_toplevelzd2initzd2zztools_tracez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztools_tracez00()
{ AN_OBJECT;
{ /* ./Tools/trace.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "tools_trace"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zztools_tracez00()
{ AN_OBJECT;
{ /* ./Tools/trace.scm 15 */
{ /* ./Tools/trace.scm 15 */
obj_t BgL_cportz00_38;
BgL_cportz00_38 = 
open_input_string(BGl_string1055z00zztools_tracez00); 
{ 
long BgL_iz00_39;
BgL_iz00_39 = ((long)0); 
BgL_loopz00_40:
{ /* ./Tools/trace.scm 15 */
bool_t BgL_test1057z00_41;
BgL_test1057z00_41 = 
(BgL_iz00_39==((long)-1)); 
if(BgL_test1057z00_41)
{ /* ./Tools/trace.scm 15 */
return BUNSPEC;}  else 
{ /* ./Tools/trace.scm 15 */
{ /* ./Tools/trace.scm 15 */
obj_t BgL_arg1059z00_42;
{ /* ./Tools/trace.scm 15 */
obj_t BgL_list1062z00_43;
BgL_list1062z00_43 = 
MAKE_PAIR(BgL_cportz00_38, BNIL); 
BgL_arg1059z00_42 = 
BGl_readz00zz__readerz00(BgL_list1062z00_43); } 
{ /* ./Tools/trace.scm 15 */
int BgL_auxz00_65;
BgL_auxz00_65 = 
(int)(BgL_iz00_39); 
CNST_TABLE_SET(BgL_auxz00_65, BgL_arg1059z00_42); } } 
{ /* ./Tools/trace.scm 15 */
int BgL_auxz00_44;
{ /* ./Tools/trace.scm 15 */
long BgL_auxz00_68;
BgL_auxz00_68 = 
(BgL_iz00_39-((long)1)); 
BgL_auxz00_44 = 
(int)(BgL_auxz00_68); } 
{ 
long BgL_iz00_71;
BgL_iz00_71 = 
(long)(BgL_auxz00_44); 
BgL_iz00_39 = BgL_iz00_71; 
goto BgL_loopz00_40;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zztools_tracez00()
{ AN_OBJECT;
{ /* ./Tools/trace.scm 15 */
BGl_za2tracezd2portza2zd2zztools_tracez00 = BFALSE; 
BGl_za2tracezd2passza2zd2zztools_tracez00 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2levelza2z00zztools_tracez00 = 
BINT(((long)0)); 
return ( 
BGl_za2tracezd2modeza2zd2zztools_tracez00 = ((bool_t)0), BUNSPEC) ;} 
}



/* start-trace */
BGL_EXPORTED_DEF obj_t BGl_startzd2tracezd2zztools_tracez00(obj_t BgL_levelz00_1, obj_t BgL_passz00_2)
{ AN_OBJECT;
{ /* ./Tools/trace.scm 35 */
return BFALSE;} 
}



/* _start-trace */
obj_t BGl__startzd2tracezd2zztools_tracez00(obj_t BgL_envz00_29, obj_t BgL_levelz00_30, obj_t BgL_passz00_31)
{ AN_OBJECT;
{ /* ./Tools/trace.scm 35 */
return BFALSE;} 
}



/* stop-trace */
BGL_EXPORTED_DEF obj_t BGl_stopzd2tracezd2zztools_tracez00()
{ AN_OBJECT;
{ /* ./Tools/trace.scm 49 */
return BFALSE;} 
}



/* _stop-trace */
obj_t BGl__stopzd2tracezd2zztools_tracez00(obj_t BgL_envz00_32)
{ AN_OBJECT;
{ /* ./Tools/trace.scm 49 */
return BFALSE;} 
}



/* trace-satisfy? */
BGL_EXPORTED_DEF obj_t BGl_tracezd2satisfyzf3z21zztools_tracez00(obj_t BgL_passz00_3, obj_t BgL_levelz00_4)
{ AN_OBJECT;
{ /* ./Tools/trace.scm 57 */
return BFALSE;} 
}



/* _trace-satisfy? */
obj_t BGl__tracezd2satisfyzf3z21zztools_tracez00(obj_t BgL_envz00_33, obj_t BgL_passz00_34, obj_t BgL_levelz00_35)
{ AN_OBJECT;
{ /* ./Tools/trace.scm 57 */
return BFALSE;} 
}



/* print-trace */
BGL_EXPORTED_DEF obj_t BGl_printzd2tracezd2zztools_tracez00(obj_t BgL_expz00_5)
{ AN_OBJECT;
{ /* ./Tools/trace.scm 65 */
return BFALSE;} 
}



/* _print-trace */
obj_t BGl__printzd2tracezd2zztools_tracez00(obj_t BgL_envz00_36, obj_t BgL_expz00_37)
{ AN_OBJECT;
{ /* ./Tools/trace.scm 65 */
return BFALSE;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztools_tracez00()
{ AN_OBJECT;
{ /* ./Tools/trace.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "tools_trace"); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "tools_trace");} 
}

